Package org.apache.tools.ant.taskdefs

## Interface XSLTLiaison3

- All Superinterfaces:
    `XSLTLiaison`, `XSLTLiaison2`
  All Known Subinterfaces:
    `XSLTLiaison4`
  All Known Implementing Classes:
    `TraXLiaison`

      public interface XSLTLiaison3
      extends XSLTLiaison2

  Extends Proxy interface for XSLT processors.
  Since:
    Ant 1.7
  See Also:
    `XSLTProcess`

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison

      `FILE_PROTOCOL_PREFIX`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setStylesheet​(Resource stylesheet)` | sets the stylesheet to use as a resource

    - ### Methods inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison

      `addParam, setStylesheet, transform`

    - ### Methods inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison2

      `configure`

- - ### Method Detail

    - #### setStylesheet

          void setStylesheet​(Resource stylesheet)
                      throws java.lang.Exception

      sets the stylesheet to use as a resource
      Parameters:
        `stylesheet` - the stylesheet to use as a resource
      Throws:
        `java.lang.Exception` - if the stylesheet cannot be loaded